// var baseUrl = 'http://test.bxlsj.com:8088/'; //测试地址
var baseUrl = 'http://cltsvn.bxlsj.com/'; //测试网络地址
// var baseUrl = 'http://c2b.bxlsj.com/'; //正式
// var baseUrl = 'http://172.17.0.45/'; //本地后台地址
var webpageUrl = "http://c2b.bxlsj.com/" //app在线地址
// var webpageUrl = "http://test.bxlsj.com:8088/" //app在线地址
//  var webpageUrl = "http://192.168.2.239/" //本地地址
var webl2b2cUrl = "https://pay.bxlsj.com/" //2.0惠客通网页
// var webl2b2cUrl = "http://test.bxlsj.com:8080/" //2.0惠客通网页

function appgetjson(url, scallback, ecallback) { //封装GET ajax请求
	mui.ajax(url, {
		type: 'GET', //HTTP请求类型
		headers: {
			'Content-Type': 'application/json'
		},
		dataType: 'json',
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			scallback(data);
		},
		error: function(xhr, type, errorThrown) {
			ecallback();
		}
	});
}

function apppostjson(url, reqdata, scallback, ecallback) { //封装POST ajax请求
	mui.ajax(url, {
		type: 'POST', //HTTP请求类型
		headers: {
			'Content-Type': 'application/json'
		},
		dataType: 'json',
		data: reqdata,
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			scallback(data);
		},
		error: function(xhr, type, errorThrown) {
			ecallback();
		}
	});
}

//  普通js封装
function getdombyid(domid) { //获取元素
	var getdom = document.getElementById(domid);
	return getdom;
}

function getdombyquery(domid) { //获取元素
	var getdom = document.querySelector(domid);
	return getdom;
}

function getdombyqueryAll(domid) { //获取所有元素
	var getdomArr = document.querySelectorAll(domid);
	return getdomArr;
}

function getcreateelm(domname) { //创建元素
	var getdom = document.createElement(domname);
	return getdom;
}

function subcid(cid, pwdtext, stext, estext) { //格式化卡号以及手机号
	var newcid = cid.substring(0, stext) + pwdtext + cid.substr(cid.length - estext);
	return newcid;
}

function formatdata(datatime, datatype) { //格式化时间
	var newdatatime = new Date(datatime);
	var y = newdatatime.getFullYear();
	var m = newdatatime.getMonth() + 1;
	var d = newdatatime.getDate();
	var h = newdatatime.getHours();
	var f = newdatatime.getMinutes();
	var s = newdatatime.getMilliseconds();
	if (m < 10) {
		m = "0" + m;
	}
	if (d < 10) {
		d = "0" + d;
	}
	if (h < 10) {
		h = "0" + h;
	}
	if (f < 10) {
		f = "0" + f;
	}
	if (s < 10) {
		s = "0" + s;
	}
	switch (datatype) {
		case "yyyy.MM.dd":
			return y + "." + m + "." + d;
			break;
		case "yyyy.MM.dd HH:mm:ss":
			return y + "." + m + "." + d + " " + h + ":" + f + ":" + s;
			break;
		default:
			return y + "-" + m + "-" + d + " " + h + ":" + f + ":" + s;
			break;
	}
	//  	return y+timetype+m+timetype+d+" "+h+":"+f+":"+s;
}

function isweekend() {
	var nowtime = new Date();
	var nowday = nowtime.getDay();
	var nowhours = nowtime.getHours();
	if ((nowday >= 1 && nowday <= 5) && (nowhours >= 9 && nowhours <= 17)) {
		return false;
	} else {
		return true;
	}
}

function getdatatime() { //获取当前时间
	var datatime = new Date().getTime();
	return datatime;
}

function zipImg(path, cb) { //图片压缩
	var img = new Image();
	img.src = path; // 传过来的图片路径在这里用。
	img.onload = function() {
		var that = this;
		//生成比例 
		var w = that.width,
			h = that.height,
			scale = w / h;
		w = 480; //|| w; //480  你想压缩到多大，改这里
		h = w / scale;
		//生成canvas
		var canvas = document.createElement('canvas');
		var ctx = canvas.getContext('2d');
		canvas.width = w;
		canvas.height = h;
		ctx.drawImage(that, 0, 0, w, h);
		var base64 = canvas.toDataURL('image/jpeg', 0.4); //1最清晰，越低越模糊
		cb(base64);
	}
}
//  5+api封装
function appopenpage(pageurl, pageid, extrasobj, pagestyle, isStatusbar) { //打开新页面
	if (isStatusbar) {
		var view_style = pagestyle ? pagestyle : {
			scrollIndicator: 'none'
		};
	} else {
		var view_style = pagestyle ? pagestyle : {
			scrollIndicator: 'none',
			statusbar: {
				background: '#ffffff'
			}
		};
	}
	var params = extrasobj ? extrasobj : {};
	var newview = mui.openWindow({
		id: pageid,
		url: pageurl,
		styles: view_style,
		extras: extrasobj
	});
	return newview;
}

function appopensubpage(pageurl, pageid, titleText) { //打开新页面
	if (appgetWebviewById(pageid)) { //避免点击产生多个webview
		return;
	}
	var newview = showloading();
	var titlenview_style = {
		titleNView: {
			backgroundColor: '#ffffff',
			titleColor: '#000000',
			progress: {
				color: '#00FF00',
				height: '2px'
			},
			splitLine: {
				color: '#eaeaea'
			},
			buttons: [{
					fontSrc: '_www/fonts/mui.ttf',
					text: '\ue582',
					float: 'left',
					fontSize: '27px',
					onclick: backcurrentwebview
				},
				{
					fontSrc: '_www/fonts/mui.ttf',
					text: '\ue462',
					float: 'right',
					fontSize: '21px',
					onclick: updatawebviewwebview
				},
				{
					fontSrc: '_www/fonts/mui.ttf',
					text: '\ue460',
					float: 'left',
					fontSize: '34px',
					onclick: closecurrentwebview
				}
			],
			titleText: titleText
		},
		backButtonAutoControl: "close"
	}
	var contentWebview = plus.webview.create(pageurl, pageid, titlenview_style);
	contentWebview.appendJsFile('_www/js/injectionback.js');
	//  	contentWebview.setJsFile("_www/js/subpage/dynamicsheet.js");
	contentWebview.addEventListener('titleUpdate', function() {
		newview.close();
		contentWebview.show("slide-in-right", 300);
	}, false);

	function backcurrentwebview() { //在线报价webview返回按钮
		contentWebview.canBack(function(event) {
			if (event.canBack) {
				contentWebview.back();
			} else {
				contentWebview.close();
			}
		});
	}

	function updatawebviewwebview() { //刷新在线报价webview
		//  contentWebview.evalJS("showsheetview()");
		contentWebview.reload(true);
	}

	function closecurrentwebview() { //关闭在线报价webview
		contentWebview.close();
	}
}

function appOpenSanWebPage(pageurl, pageid, titleText) { //打开新页面
	if (appgetWebviewById(pageid)) { //避免点击产生多个webview
		return;
	}
	var newview = showloading();
	var titlenview_style = {
		titleNView: {
			backgroundColor: '#ffffff',
			titleColor: '#000000',
			progress: {
				color: '#00FF00',
				height: '2px'
			},
			splitLine: {
				color: '#eaeaea'
			},
			buttons: [{
					fontSrc: '_www/fonts/mui.ttf',
					text: '\ue582',
					float: 'left',
					fontSize: '27px',
					onclick: backcurrentwebview
				},
				{},
				{
					fontSrc: '_www/fonts/mui.ttf',
					text: '\ue460',
					float: 'left',
					fontSize: '34px',
					onclick: closecurrentwebview
				},
				{
					fontSrc: '_www/fonts/mui.ttf',
					text: '\ue462',
					float: 'left',
					fontSize: '21px',
					onclick: updatawebviewwebview
				}
			],
			titleText: titleText
		},
		backButtonAutoControl: "close"
	}
	appremovestorage("mechaorderSan"); // 清除太平扫码是否显示缓存
	var contentWebview = plus.webview.create(pageurl, pageid, titlenview_style);
	contentWebview.appendJsFile('_www/js/injectionback.js');
	// contentWebview.appendJsFile('_www/js/mui.min.js');
	contentWebview.appendJsFile('_www/js/common.js');
	contentWebview.appendJsFile("_www/js/inject/dynamicsheet.js");
	contentWebview.addEventListener('titleUpdate', function() {
		newview.close();
		contentWebview.show("slide-in-right", 300);
	}, false);

	function backcurrentwebview() { //在线报价webview返回按钮
		contentWebview.canBack(function(event) {
			if (event.canBack) {
				contentWebview.back();
			} else {
				contentWebview.close();
			}
		});
	}

	function updatawebviewwebview() { //刷新在线报价webview
		//  contentWebview.evalJS("showsheetview()");
		contentWebview.reload(true);
	}

	function closecurrentwebview() { //关闭在线报价webview
		contentWebview.close();
	}
}

function openPushPage(pageurl, pageid, titleText) { //打开新页面
	if (appgetWebviewById(pageid)) { //避免点击产生多个webview
		return;
	}
	var newview = showloading();
	var titlenview_style = {
		titleNView: {
			backgroundColor: '#ffffff',
			titleColor: '#000000',
			progress: {
				color: '#00FF00',
				height: '2px'
			},
			splitLine: {
				color: '#eaeaea'
			},
			buttons: [{
				fontSrc: '_www/fonts/mui.ttf',
				text: '\ue582',
				float: 'left',
				fontSize: '27px',
				onclick: backcurrentwebview
			}, ],
			titleText: titleText
		},
		backButtonAutoControl: "close"
	}
	var contentWebview = plus.webview.create(pageurl, pageid, titlenview_style);
	contentWebview.appendJsFile('_www/js/injectionback.js');
	// contentWebview.appendJsFile('_www/js/mui.min.js');
	contentWebview.appendJsFile('_www/js/common.js');
	contentWebview.appendJsFile("_www/js/inject/dynamicsheet.js");
	contentWebview.addEventListener('titleUpdate', function() {
		newview.close();
		contentWebview.show("slide-in-right", 300);
	}, false);

	function backcurrentwebview() { //在线报价webview返回按钮
		contentWebview.canBack(function(event) {
			if (event.canBack) {
				contentWebview.back();
			} else {
				contentWebview.close();
			}
		});
	}
}

function appcreateWebview(pageurl, pageid, extrasobj, pagestyle, isStatusbar) { //创建新的webview
	if (appgetWebviewById(pageid)) { //避免点击产生多个webview
		return;
	}
	if (isStatusbar) {
		var view_style = pagestyle ? pagestyle : {
			scrollIndicator: 'none'
		};
	} else {
		var view_style = pagestyle ? pagestyle : {
			scrollIndicator: 'none',
			statusbar: {
				background: '#ffffff'
			}
		};
	}
	var params = extrasobj ? extrasobj : {};
	var newview = plus.webview.create(pageurl, pageid, view_style, params);
	return newview;
}

function appgetcurrentWebview() { //获取当前webview
	var currentview = plus.webview.currentWebview();
	return currentview;
}

function appgetWebviewById(viewid) { //获取id webview
	var getview = plus.webview.getWebviewById(viewid);
	return getview;
}

function appgetstorage(keys) { //获得存储数据
	var getstorage = plus.storage.getItem(keys);
	return getstorage;
}

function appsetstorage(keys, value) { //设置存储数据
	var setstorage = plus.storage.setItem(keys, JSON.stringify(value));
	return setstorage;
}

function appremovestorage(keys) {
	plus.storage.removeItem(keys);
}

function showloading(loadtext) { //等待框
	var loadview = plus.nativeUI.showWaiting(loadtext);
	return loadview;
}

function appconfirm(textinfo, title, btnarr, tcallback, fcallback) { //对话框
	plus.nativeUI.confirm(textinfo, function(event) {
		if (event.index == 0) {
			tcallback();
		}
		if (event.index == 1) {
			fcallback();
		}
	}, title, btnarr);
}

function closeallwebview() { // 关闭除登录页和主页webview以外的所有webview
	var webviewArr = plus.webview.all();
	var launchview = plus.webview.getLaunchWebview();
	for (var i = 0; i < webviewArr.length; i++) {
		if (webviewArr[i].id == launchview.id) {
			continue;
		} else {
			webviewArr[i].hide();
			webviewArr[i].close();
		}
	}
}
//  逻辑封装
function islogin() {
	var userinfo = plus.storage.getItem("loginuserinfo");
	if (userinfo) {
		return true;
	} else {
		return false;
	}
}

function validateiphone(that) { //验证用户输入的手机号是否正确
	var self = that || this;
	var mobile = /^1[3|4|5|6|7|8|9]\d{9}$/;
	//		if (!mobile.test(self.value)) {
	//			mui.toast('联系电话格式不对!');
	//		}
	return mobile.test(self.value);
}

function isEmptyObject(e) { // 判断对象是否为空
	var t;
	for (t in e)
		return !1;
	return !0
}

function subvalue() { //限制数字输入框只能输入2位小数
	var curval = this.value;
	var valength = this.value.length;
	if (curval.indexOf('.') != -1) {
		if ((valength - curval.indexOf('.')) > 2) {
			this.value = this.value.substring(0, curval.indexOf('.') + 3)
		}
	}
}

function showloadingdiv(loadtext) { //显示等待框
	var lodetexthtml = "";
	if (loadtext) {
		lodetexthtml = '<p style="margin-bottom:0px";color:#fff;>' + loadtext + '</p>';
	}
	var divHtml = document.createElement('div');
	divHtml.classList.add('custom-loading');
	divHtml.innerHTML = '<div class="mui-loading"><div class="mui-spinner mui-spinner-white"></div>' + lodetexthtml +
		'</div>' +
		'<div class="mui-backdrop"></div>';
	document.querySelector("body").appendChild(divHtml);
}

function hideloadingdiv() { //隐藏等待框
	var divHtml = document.querySelector(".custom-loading");
	document.querySelector("body").removeChild(divHtml);
}
// 判断苹果手机还是安卓手机
function isIos() {
	var equipmentType = "";
	var agent = navigator.userAgent.toLowerCase();
	var android = agent.indexOf("android");
	var iphone = agent.indexOf("iphone");
	var ipad = agent.indexOf("ipad");
	if (android != -1) {
		equipmentType = false;
	}
	if (iphone != -1 || ipad != -1) {
		equipmentType = true;
	}
	return equipmentType;
}
//判断是否是苹果x
function iosx() {
	let height = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight
	let width = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth
	if (height / width > 17 / 9) {
		return true
	}
	return false
}
