var style_text =   `.appAlert-popup{
						position: fixed;
						z-index: 10000;
						top: 50%;
						left: 50%;
						display: none;
						overflow: hidden;
						width: 300px;
						-webkit-transition-property: -webkit-transform,opacity;
						transition-property: transform,opacity;
						-webkit-transform: translate3d(-50%,-50%,0) scale(1.185);
						transform: translate3d(-50%,-50%,0) scale(1.185);
						-webkit-transition-duration: 400ms;
						transition-duration: 400ms;
						text-align: center;
						opacity: 0;
						color: #000;
						border-radius: 13px;
						background-color: rgba(255,255,255,1);
					}
					.appAlert-mask{
						position: fixed;
						z-index: 998;
						top: 0;
						right: 0;
						bottom: 0;
						left: 0;
						-webkit-transition-duration: 400ms;
						transition-duration: 400ms;
						opacity: 0;
						background: rgba(0,0,0,.4);
					}
					.appAlert-popup-in{
						display: block;
						-webkit-transition-duration: 400ms;
						transition-duration: 400ms;
						-webkit-transform: translate3d(-50%,-50%,0) scale(1);
						transform: translate3d(-50%,-50%,0) scale(1);
						opacity: 1;
					}
					.appAlert-popup-out{
						-webkit-transition-duration: 400ms;
								transition-duration: 400ms;
						-webkit-transform: translate3d(-50%, -50%, 0) scale(1);
								transform: translate3d(-50%, -50%, 0) scale(1);
						opacity: 0;
					}
					.appAlert-mask-active{
						opacity: 1;
					}
					/*自定义弹出框*/
					.alert_header{
						padding: 8px 0px;
						padding-top: 11px;
						font-size: 18px;
					    font-weight: 500;
					    text-align: center;
					}
					.main_text{
						font-size: 14px;
					    text-align: center;
					}
					.main_img{
						width: 180px;
						height: 180px;
					}
					.money_text{
						padding: 8px 0px;
						padding-top: 0px;
						font-size: 16px;
					    text-align: center;
					}
					.money_value{
						color: rgba(255,153,0,1);
					}
					.alert_footer{
						padding-bottom: 11px;
						text-align: center;
					}
					.cancel_btn{
						margin: 0px 8px;
						padding: 5px 8px;
						width: 80px;
						color: #FFFFFF;
						border: none;
						outline: none;
						border-radius: 24px;
						background-color: #C0C0C0;
					}
					.confirm_btn{
						margin: 0px 8px;
						color: #FFFFFF;
						border: none;
						border-radius: 24px;
						background-color: rgba(255,153,0,1);
					}`
			
/*自定义弹出框*/
var readyRE = /complete|loaded|interactive/;
var readyDynamic = function(callback) {
	if (readyRE.test(document.readyState)) {
		callback();
	} else {
		document.addEventListener('DOMContentLoaded', function() {
			callback();
		}, false);
	}
	return this;
};

readyDynamic(function () {
	dynamicinit();
	var s = JSON.parse(appgetstorage("mechaorderSan"));
	if (s&&s.isshow) {
		plus.webview.currentWebview().setTitleNViewButtonStyle(1, {text:'扫一扫',float:'right',fontSize:'14px',width: "auto", onclick:alertSharePop});
	}
})

function dynamicinit() {
	var styleDom = document.createElement('style');
	styleDom.innerText = style_text.replace(/ *[\r|\n] */gm, '');
	var headeDom = document.querySelector('head');
	headeDom.appendChild(styleDom)
}
function showSanappAlert() {
	var s = JSON.parse(appgetstorage("mechaorderSan"));
	var ordertpCode = s.ordertpCode;
	var payobj = s.payAmount;
	var imgUrl = baseUrl+"taiPingOrder/downPayCode?tpCode="+ordertpCode.replace(/\"/g, "")
    var intext = "<div class='bg_box'></div>"+
		  	 	"<div class='alert_header'></div>"+
		  	 	"<div class='alert_content'>"+
		  	 	   "<div class='main_text'>保险公司：太平保险</div>"+
		  	 	   "<img src='"+imgUrl+"' class='main_img' />"+
		  	 	   "<div class='money_text'>待支付金额：<span class='money_value'>¥ "+payobj+"</span></div>"+
		  	 	"</div>"+
		  	 	"<div class='alert_footer'>"+
		  	 	   "<button class='cancel_btn'>NO,取消</button>"+
		  	 	   // "<button "+styletext+" class='confirm_btn'>OK,分享支付码</button>"+
		  	 	"</div>"
   var Alerttext = document.createElement("div");
   var Alertmask = document.createElement("div");
   Alerttext.className = "appAlert-popup";
   Alertmask.className = "appAlert-mask";
   Alerttext.innerHTML = intext;
   document.querySelector("body").appendChild(Alerttext);
   document.querySelector("body").appendChild(Alertmask);
   document.querySelector(".cancel_btn").addEventListener('click',function () {
   	   closeSanappAlert()
   })
   Alerttext.offsetHeight;
   Alertmask.offsetHeight; 
   Alerttext.classList.add("appAlert-popup-in");
   Alertmask.classList.add("appAlert-mask-active");
}
  
function closeSanappAlert() {
   var Alerttext = document.querySelector(".appAlert-popup");
   var Alertmask = document.querySelector(".appAlert-mask");
	 Alerttext.classList.add("appAlert-popup-out");
	 Alerttext.classList.remove("appAlert-popup-in");
	 Alertmask.classList.remove("appAlert-mask-active");
	 Alertmask.addEventListener('webkitTransitionEnd', function() {
		if (!Alerttext.classList.contains("appAlert-popup-in")) {
			  document.querySelector("body").removeChild(Alerttext);
			  document.querySelector("body").removeChild(Alertmask);
		}
   });
}
function alertSharePop() {
	var Alerttext = document.querySelector(".appAlert-popup");
	if (!Alerttext) {
		showSanappAlert();
	}
} 