mui.ready(() => {
	// let box = getdombyid('phone');
	// box.focus();
	// mui.trigger(box, 'tap')
});
mui.plusReady(function() {
	document.body.addEventListener('touchmove', function(e) {
		document.documentElement.scrollTop = 0;
		e.preventDefault();
	}, {
		passive: false
	}); //passive 参数不能省略，用来兼容ios和android
	vm.isIos = isIos();
	var nativeWebview, imm, InputMethodManager;

	var initNativeObjects = function() {

		if (mui.os.android) {

			var main = plus.android.runtimeMainActivity();

			var Context = plus.android.importClass("android.content.Context");

			InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");

			imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);

		} else {

			nativeWebview = plus.webview.currentWebview().nativeInstanceObject();

		}

	};

	var showSoftInput = function() {

		var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();

		if (mui.os.android) {

			//强制当前webview获得焦点

			plus.android.importClass(nativeWebview);

			nativeWebview.requestFocus();

			imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);

		} else {

			nativeWebview.plusCallMethod({

				"setKeyboardDisplayRequiresUserAction": false

			});

		}

		setTimeout(function() {

			//此处可写具体逻辑设置获取焦点的input

			var inputElem = document.querySelector('input');

			inputElem.focus();

		}, 200);

	};
	setTimeout(() => {
		initNativeObjects();
		showSoftInput();
	}, 500)

	try {
		console.log(appgetcurrentWebview())
		vm.codePhone = appgetcurrentWebview().phone;
		vm.codeType = appgetcurrentWebview().type;

	} catch (e) {
		//TODO handle the exception
	}
});
var vm = new Vue({
	el: '#app',
	data() {
		return {
			loginType: true,
			isActive: false,
			isIos:false,
			codePhone: '',
			phone: '',
			pwd: '',
			code: '',
			time: 59,
			codeType: '',
			disabled: false,
		}
	},
	methods: {
		back() {
			try {
				var h = appgetcurrentWebview();
				h.close();
			} catch (e) {
				console.log(e)
			}
		},
		submit() {
			let obj = {
				value: this.phone
			}
			if (!validateiphone(obj)) {
				mui.toast('手机号码格式不对');
				return
			}
			this.disabled = true;
			if (this.loginType) { // 获取验证码
				this.getmessageCode(this.phone);
			} else { //密码登录
				this.pwdlogin()
			}
		},
		pwdlogin() { // 密码登录
			var reqdata = {
				"mobile": this.phone,
				"password": this.pwd.replace(/\s/g, '')
			}
			loadview = showloading(); //显示等待框
			apppostjson(baseUrl + 'login/loginByPassword', reqdata, (data) => {
				setTimeout(() => {
					this.disabled = false;
				}, 2000)
				if (data.result == "fail") {
					mui.toast(data.message);
					loadview.close(); //关闭等待框
				}
				if (data.result == "ok") {
					this.getmobileinfo(data.data.mobile);
					appsetstorage("loginuserinfo", data.data);
					this.uploadcid();
					let arr = ['regist', '../login/enterPage.html'];
					arr.forEach(a => {
						var h = plus.webview.getWebviewById(a);
						if (h) {
							h.close()
						};
					})
					var indexview = plus.webview.getLaunchWebview();
					indexview.evalJS("routerpage()");
					//触发主页面的gohome事件
					mui.fire(indexview, 'gohome');
					loadview.close(); //关闭等待框
					let current = appgetcurrentWebview();
					current.close();
				}
			}, function() {
				mui.toast("无法连接网络，请重试！")
				loadview.close(); //关闭等待框
			});
		},
		// 获取验证码
		getmessageCode(usermobile) {
			appgetjson(baseUrl + 'login/sendVerifyCode?mobile=' + usermobile, (data) => {
				setTimeout(() => {
					this.disabled = false;
				}, 2000)
				if (data.result == "fail") {
					mui.toast(data.message);
				} else {
					mui.toast('验证码发送成功');
					var w = plus.webview.create('../../html/login/messageCode.html', 'messageCode', {
						scrollIndicator: 'none',
						statusbar: {
							background: '#ffffff'
						}
					}, {
						phone: this.phone,
						type: 'login'
					});
					w.show('slide-in-right'); // 显示窗口
				}
			}, function() {
				mui.toast("无法连接网络,请重试!");
			});
		},
		// 获取验证码
		getmessageCode1() {
			if (this.codeType == 'login') {
				this.sendVerifyCode();
			} else if (this.codeType == 'regist') {
				this.sendRegisterCode()
			}
		},
		sendVerifyCode() { //登录验证码
			if (this.time < 60) return
			appgetjson(baseUrl + 'login/sendVerifyCode?mobile=' + this.codePhone, (data) => {
				if (data.result == "fail") {
					mui.toast(data.message);
				} else {
					mui.toast('验证码发送成功');
					this.downTime();
				}
			}, function() {
				mui.toast("无法连接网络,请重试!");
			});
		},
		sendRegisterCode() { //注册验证码
			appgetjson(baseUrl + '/login/sendRegisterCode?mobile=' + this.codePhone, (data) => {
				if (data.result == "fail") {
					mui.toast(data.message);
				} else {
					mui.toast('验证码发送成功');
					this.downTime();
				}
			}, function() {
				mui.toast("无法连接网络,请重试!");
			});
		},

		//验证码登录
		codelogin() {
			var reqdata = {
				"mobile": this.codePhone,
				"verifyCode": this.code
			}
			loadview = showloading(); //显示等待框
			apppostjson(baseUrl + 'login/login', reqdata, (data) => {

				if (data.result == "fail") {
					mui.toast(data.message);
					loadview.close(); //关闭等待框
				}
				if (data.result == "ok") {
					this.getmobileinfo(data.data.mobile);
					appsetstorage("loginuserinfo", data.data);
					this.uploadcid();
					let arr = ['../login/login.html', '../login/enterPage.html'];
					arr.forEach(a => {
						var h = plus.webview.getWebviewById(a);
						if (h) {
							h.close()
						};
					})

					var indexview = plus.webview.getLaunchWebview();
					indexview.evalJS("routerpage()");
					//触发主页面的gohome事件
					mui.fire(indexview, 'gohome');
					loadview.close(); //关闭等待框
					let current = appgetcurrentWebview();
					current.close();
				}
			}, function() {
				mui.toast("无法连接网络，请重试！")
				loadview.close(); //关闭等待框
			});
		},
		downTime() {
			let timer = setInterval(() => {
				this.time--
				if (this.time == 0) {
					this.time = 60;
					clearInterval(timer)
				}
			}, 1000);
		},
		getmobileinfo(mid) {
			var version = plus.runtime.version;
			var systemVersion = plus.os.version;
			var mobileProvider = plus.device.vendor;
			var mobileSystem = plus.device.model;
			var reqdata = {
				"appUseLog.product": "3",
				"appUseLog.mobile": mid,
				"appUseLog.version": version,
				"appUseLog.systemVersion": systemVersion,
				"appUseLog.mobileProvider": mobileProvider,
				"appUseLog.mobileSystem": mobileSystem
			}
			mui.ajax("https://erp.bxlsj.com/marketing/addFacility", {
				type: 'POST', //HTTP请求类型
				dataType: 'json',
				data: reqdata,
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {},
				error: function(xhr, type, errorThrown) {}
			});
		},
		uploadcid() {
			var companyId = JSON.parse(appgetstorage("loginuserinfo")).companyId;
			var info = plus.push.getClientInfo();
			var mobiletype = plus.os.name;
			var reqdata = {
				"ownerId": companyId, //登录的业务员id
				"clientId": info.clientid, //app的clientId
				"type": mobiletype
			}
			apppostjson(baseUrl + 'clientId/add', reqdata, function(data) {
				if (data.result == "fail") {
					mui.toast(data.message);
					return;
				}
				if (data.result == "ok") {

				}
			}, function() {
				mui.toast("无法连接网络,请重试!");
			});
		},
		regist() {
			if (this.code.trim().length == 0) {
				mui.toast('验证码不能为空');
				return;
			}
			this.coderegist()
		},
		coderegist() {
			loadview = showloading(); //显示等待框
			appgetjson(baseUrl + '/login/register?mobile=' + this.codePhone + '&checkCode=' + this.code, (data) => {
				if (data.result == "fail") {
					mui.toast(data.message);
					loadview.close(); //关闭等待框
				}
				if (data.result == "ok") {
					loadview.close(); //关闭等待框
					this.getmobileinfo(data.data.mobile);
					appsetstorage("loginuserinfo", data.data);
					this.uploadcid();
					let arr = ['../login/enterPage.html', 'regist'];
					arr.forEach(a => {
						var h = plus.webview.getWebviewById(a);
						if (h) {
							h.close()
						};
					})
					var indexview = plus.webview.getLaunchWebview();
					indexview.evalJS("routerpage()");
					//触发主页面的gohome事件
					mui.fire(indexview, 'gohome');
					let current = appgetcurrentWebview();
					current.close();
				}
			}, function() {
				mui.toast("无法连接网络，请重试！")
				loadview.close(); //关闭等待框
			});
		},

		alertInput() {}
	},
	created() {
		this.downTime();
	},
	mounted() {


	},
	watch: {
		'loginType': {
			handler(newVal, oldVal) {
				if (newVal) {
					if (this.phone.length == 11) {
						this.isActive = true;
					} else {
						this.isActive = false;
					}
					this.$refs.phone.style.top = '1rem';
					this.$refs.pwd.style.opacity = '0';
				} else {
					console.log(this.pwd)
					if (this.phone.length == 11 && this.pwd.length > 0) {
						this.isActive = true;
					} else {
						this.isActive = false;
					}
					this.$refs.phone.style.top = '0rem';
					this.$refs.pwd.style.opacity = '1';
				}

			},
			deep: true
		},
		'phone': {
			handler(newVal, oldVal) {
				if (this.loginType && newVal.length == 11) {
					this.isActive = true;
				} else {
					this.isActive = false;
				}
			},
			deep: true
		},
		'pwd': {
			handler(newVal, oldVal) {
				if (!this.loginType && newVal.length > 0) {
					this.isActive = true;
				} else {
					this.isActive = false;
				}
			},
			deep: true
		},
		'code': {
			handler(newVal, oldVal) {
				if (String(newVal).length == 4) {
					console.log(this.codeType)
					if (this.codeType == 'login') {
						this.codelogin();
					} else if (this.codeType == 'regist') {
						this.regist();
					}

				}
			},
			deep: true
		},
	}
});
