function loginclose() {
	if (loadview) {
		loadview.close() //关闭等待框
	}
	appgetcurrentWebview().hide();
	appgetcurrentWebview().close();
}

mui.ready(() => {
	document.body.addEventListener('touchmove', function(e) {
		document.documentElement.scrollTop = 0;
		e.preventDefault();
	}, {
		passive: false
	}); //passive 参数不能省略，用来兼容ios和android
});
mui.plusReady(function() {
	var nativeWebview, imm, InputMethodManager;

	var initNativeObjects = function() {

		if (mui.os.android) {

			var main = plus.android.runtimeMainActivity();

			var Context = plus.android.importClass("android.content.Context");

			InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");

			imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);

		} else {

			nativeWebview = plus.webview.currentWebview().nativeInstanceObject();

		}

	};

	var showSoftInput = function() {

		var nativeWebview = plus.webview.currentWebview().nativeInstanceObject();

		if (mui.os.android) {

			//强制当前webview获得焦点

			plus.android.importClass(nativeWebview);

			nativeWebview.requestFocus();

			imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);

		} else {

			nativeWebview.plusCallMethod({

				"setKeyboardDisplayRequiresUserAction": false

			});

		}

		setTimeout(function() {

			//此处可写具体逻辑设置获取焦点的input

			var inputElem = document.querySelector('input');

			inputElem.focus();

		}, 200);

	};
	initNativeObjects();
	showSoftInput();
});
var vm = new Vue({
	el: '#app',
	data() {
		return {
			isActive: false,
			phone: '',
			disabled: false
		}
	},
	methods: {
		back() {
			try {
				var h = appgetcurrentWebview();
				h.close();
			} catch (e) {
				console.log(e)
			}
		},
		regist() {
			let obj = {
				value: this.phone
			}
			if (!validateiphone(obj)) {
				mui.toast('手机号码格式不对');
				return
			}
			this.disabled = true;
			this.getmessageCode(this.phone);
		},
		getmessageCode(usermobile) {
			appgetjson(baseUrl + '/login/sendRegisterCode?mobile=' + usermobile, (data) => {
				setTimeout(() => {
					this.disabled = false;
				}, 2000)
				if (data.result == "fail") {
					mui.toast(data.message);
				} else {
					var w = plus.webview.create('../../html/login/messageCode.html', 'messageCode', {
						scrollIndicator: 'none',
						statusbar: {
							background: '#ffffff'
						}
					}, {
						phone: this.phone,
						type: 'regist'
					});
					w.show('slide-in-right'); // 显示窗口
				}
			}, function() {
				mui.toast("无法连接网络,请重试!");
			});
		}

	},
	created() {},
	mounted() {

	},
	watch: {
		'phone': {
			handler(newVal, oldVal) {
				if (newVal.length == 11) {
					this.isActive = true;
				} else {
					this.isActive = false;
				}
			},
			deep: true
		}
	}
});
